--------------------------------------------------------------------------------
-- Fake Bar by Holzchopf
-- v1.0 - 09 Sep 2013	- Created
--------------------------------------------------------------------------------

-- setup
if holzchopf==nil then holzchopf={} end
holzchopf.fakebar={}
holzchopf.fakebar.bar={}
holzchopf.fakebar.gfx_icn=loadgfx("holzchopf/fakebaricon.png")
setmidhandle(holzchopf.fakebar.gfx_icn)
holzchopf.fakebar.gfx_wpn={}
for i=0,3,1 do
	holzchopf.fakebar.gfx_wpn[i]=loadgfx("buildings/bar"..i..".bmp")
	setmidhandle(holzchopf.fakebar.gfx_wpn[i])
end
holzchopf.fakebar.sfx_build=loadsfx("buildmetal.ogg")

--------------------------------------------------------------------------------
-- Weapon
--------------------------------------------------------------------------------
holzchopf.fakebar.id=addweapon("holzchopf.fakebar","Fake Bar",holzchopf.fakebar.gfx_icn)
addweaponinfo("Can be rotated. Is not solid, player can fall through, looks real for opponents. Does not end the turn.")

function holzchopf.fakebar.draw()
	if getweaponcount('holzchopf.fakebar',getplayerteam(0))>0 then
		-- HUD
		hudpositioning(pos_build,holzchopf.fakebar.gfx_wpn[weapon_mode])
		hudinfo("Press [Space] to rotate the bar!")
	end
end

function holzchopf.fakebar.attack(attack)
	if weapon_timer>0 then
		weapon_timer=weapon_timer-1
	end
	if (weapon_shots<=0) and (attack==1) and (weapon_timer==0) then
		-- Rotate
		weapon_timer=15
		weapon_mode=weapon_mode+1
		if weapon_mode>3 then
			weapon_mode=0
		end
	end
	if getweaponcount('holzchopf.fakebar',getplayerteam(0))>0 and weapon_position==1 then 
		-- Use weapon and allow to use another one (and the same one) afterwards (2)
		useweapon(2)
		weapon_position=0
		-- Create Bar
		createobject(holzchopf.fakebar.bar.id, weapon_x,weapon_y, weapon_mode)
		-- Sound
		playsound(cc.bar.sfx_build)
		-- Particles
		particle(p_muzzle,weapon_x,weapon_y)
		particlesize(0.9,2.5)
		particlefadealpha(0.02)
		if weapon_mode==0 then particlerotation(45) end
		if weapon_mode==1 then particlerotation(90) end
		if weapon_mode==2 then particlerotation(-45) end
		if weapon_mode==3 then particlerotation(180) end
	end
end

--------------------------------------------------------------------------------
-- Bar
--------------------------------------------------------------------------------
holzchopf.fakebar.bar.id=addobject("holzchopf.fakebar.bar",0)

function holzchopf.fakebar.bar.setup(id,rot)
	-- set up bar
	objects[id]={}
	objects[id].rotation=rot
	objects[id].team=getplayerteam(0)
end

function holzchopf.fakebar.bar.draw(id)
	-- draw transparent for owner and allies
	if getplayerteam(0)==objects[id].team then
		setalpha(0.3)
	end
	setrotation(0)
	setscale(1,1)
	setcolor(255,255,255)
	drawimage(holzchopf.fakebar.gfx_wpn[objects[id].rotation], getobjectx(id), getobjecty(id))
end

function holzchopf.fakebar.bar.update(id)
end

function holzchopf.fakebar.bar.damage(id,damage)
end
